Subject: Re: [BUG] 2.6.29-rc* QinQ vlan trunking regression

From: Patrick McHardy <[email-masked]>
Date: Wed, 04 Mar 2009 10:57:47 +0100

David Miller wrote:
> From: Bart Trojanowski <[email-masked]>
> Date: Sat, 28 Feb 2009 13:05:41 -0500
> 
>> 2.6.29-rc* introduces a bug that causes a crash when a vlan is put into
>> another vlan, so called vlan trunking or QinQ.
>>
>> I can reproduce it reliably with:
>>
>>   $ modprobe 8021q
>>   $ vconfig add eth1 5
>>   $ ifconfig eth1.5 up
>>   $ vconfig add eth1.5 4
> 
> Stephen please fix this.

I'm maintaining vlan :) I haven't been able to look into this yet,
but I should be later today.